C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.UserAttributeProfiles.ListTemplatesAsync();
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.userAttributeProfiles().listTemplates();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->userAttributeProfiles->listTemplates();from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.user_attribute_profiles.list_templates()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.user_attribute_profiles.list_templatescurl --request GET \
--url https://{tenantDomain}/api/v2/user-attribute-profiles/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/user-attribute-profiles/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/user-attribute-profiles/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user_attribute_profile_templates": [
{
"id": "<string>",
"display_name": "<string>",
"template": {
"name": "<string>",
"user_id": {
"oidc_mapping": "sub",
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>",
"strategy_overrides": {
"pingfederate": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"ad": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"adfs": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"waad": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"google-apps": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"okta": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"oidc": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"samlp": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
}
}
},
"user_attributes": {}
}
}
]
}Get User Attribute Profile Templates
Retrieve a list of User Attribute Profile Templates.
GET
https://{tenantDomain}/api/v2
/
user-attribute-profiles
/
templates
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.UserAttributeProfiles.ListTemplatesAsync();
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.userAttributeProfiles().listTemplates();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->userAttributeProfiles->listTemplates();from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.user_attribute_profiles.list_templates()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.user_attribute_profiles.list_templatescurl --request GET \
--url https://{tenantDomain}/api/v2/user-attribute-profiles/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/user-attribute-profiles/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/user-attribute-profiles/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user_attribute_profile_templates": [
{
"id": "<string>",
"display_name": "<string>",
"template": {
"name": "<string>",
"user_id": {
"oidc_mapping": "sub",
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>",
"strategy_overrides": {
"pingfederate": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"ad": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"adfs": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"waad": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"google-apps": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"okta": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"oidc": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
},
"samlp": {
"saml_mapping": [
"<string>"
],
"scim_mapping": "<string>"
}
}
},
"user_attributes": {}
}
}
]
}Was this page helpful?
⌘I